D4Science D4Science Don't have a D4Science account? Create one Could not find what you are looking for? Contact us.

ItemsCreator Resource

POST /items/{id}/create/ARCHIVE

Request Parameters
name type description
parentFolderName form
url form
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
id path
Request Body
media type data type
application/x-www-form-urlencoded (custom)
Response Body
media type data type description
application/json string (JSON)

Example

Request
POST /items/{id}/create/ARCHIVE
Content-Type: application/x-www-form-urlencoded
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 201 Created
Content-Type: application/json

                
...
                
              

POST /items/{id}/create/ARCHIVE

Request Parameters
name type description
fileDetail formdata
parentFolderName formdata
stream formdata
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
id path
Request Body
media type data type
multipart/form-data (custom)
Response Body
media type data type description
application/json string (JSON)

Example

Request
POST /items/{id}/create/ARCHIVE
Content-Type: multipart/form-data
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 201 Created
Content-Type: application/json

                
...
                
              

POST /items/{id}/create/EXTERNALFOLDER

Request Parameters
name type description constraints
description form  
hidden form required boolean
name form  
pluginName form  
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources  
id path  
Request Body
media type data type
application/x-www-form-urlencoded (custom)
Response Body
media type data type description
application/json object (JSON)

Example

Request
POST /items/{id}/create/EXTERNALFOLDER
Content-Type: application/x-www-form-urlencoded
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 201 Created
Content-Type: application/json

                
...
                
              

POST /items/{id}/create/FILE

Request Parameters
name type description
description form
name form
url form
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
id path
Request Body
media type data type
application/x-www-form-urlencoded (custom)
Response Body
media type data type description
application/json string (JSON)

Example

Request
POST /items/{id}/create/FILE
Content-Type: application/x-www-form-urlencoded
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 201 Created
Content-Type: application/json

                
...
                
              

POST /items/{id}/create/FILE

Request Parameters
name type description
description formdata
file formdata
fileDetail formdata
name formdata
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
id path
Request Body
media type data type
multipart/form-data (custom)
Response Body
media type data type description
application/json string (JSON)

Example

Request
POST /items/{id}/create/FILE
Content-Type: multipart/form-data
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 201 Created
Content-Type: application/json

                
...
                
              

POST /items/{id}/create/FOLDER

Request Parameters
name type description constraints
description form  
hidden form required boolean
name form  
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources  
id path  
Request Body
media type data type
application/x-www-form-urlencoded (custom)
Response Body
media type data type description
application/json object (JSON)

Example

Request
POST /items/{id}/create/FOLDER
Content-Type: application/x-www-form-urlencoded
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 201 Created
Content-Type: application/json

                
...
                
              

POST /items/{id}/create/GCUBEITEM

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
id path
Request Body
media type data type
application/json GCubeItem (JSON)
Response Body
media type data type description
application/json string (JSON)

Example

Request
POST /items/{id}/create/GCUBEITEM
Content-Type: application/json
Accept: application/json
Authorization: ...

                
{
  "property" : {
    "map" : {
      "property1" : { },
      "property2" : { }
    }
  },
  "scopes" : [ "...", "..." ],
  "properties" : "...",
  "itemType" : "...",
  "shared" : true,
  "creator" : "...",
  "lastModificationTime" : 12345,
  "externalManaged" : true,
  "accounting" : {
    "entries" : [ {
      "version" : "...",
      "primaryType" : "...",
      "type" : "SET_ACL",
      "date" : 12345,
      "user" : "..."
    }, {
      "version" : "...",
      "primaryType" : "...",
      "type" : "ENABLED_PUBLIC_ACCESS",
      "date" : 12345,
      "user" : "..."
    } ]
  },
  "owner" : "...",
  "lastAction" : "UPDATED",
  "locked" : true,
  "publicItem" : true,
  "trashed" : true,
  "creationTime" : 12345,
  "description" : "...",
  "ownerNode" : {
    "userName" : "...",
    "userId" : "..."
  },
  "hidden" : true,
  "lastModifiedBy" : "...",
  "title" : "...",
  "metadata" : {
    "map" : {
      "property1" : { },
      "property2" : { }
    }
  },
  "parentPath" : "...",
  "path" : "...",
  "primaryType" : "...",
  "name" : "...",
  "relatedNode" : { },
  "parentId" : "...",
  "id" : "..."
}
                
              
Response
HTTP/1.1 201 Created
Content-Type: application/json

                
...
                
              

POST /items/{id}/create/URL

Request Parameters
name type description
description form
name form
value form
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
id path
Request Body
media type data type
application/x-www-form-urlencoded (custom)
Response Body
media type data type description
application/json object (JSON)

Example

Request
POST /items/{id}/create/URL
Content-Type: application/x-www-form-urlencoded
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 201 Created
Content-Type: application/json

                
...